package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
public class MgnPackageSnTraceReportModel {

    @ApiParam("箱条码")
    private String packageNo;

    @ApiParam("托条码")
    private String packageNo2;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("物料编号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作中心名称")
    private String workCenterName;

    @ApiParam(value = "创建日期")
    public String createDatetime;

    @ApiParam("是否封箱")
    private Integer isSealed;

    @ApiParam("是否封箱名称")
    private String isSealedName;

    @ApiParam(value = "工厂")
    public String organizeCode;

    @ApiParam(value="修改日期查询用，查询起始日期")
    public String createDateTimeStart;

    @ApiParam(value = "修改日期查询用，查询结束日期")
    public String createDateTimeEnd;

    public MgnPackageSnTraceReportModel() {
    }

    public MgnPackageSnTraceReportModel(String packageNo, String packageNo2, String serialNumber, String partNo, String partNameRdd, Integer isSealed, String createDatetime, String workCenterCode, String workCenterName) {
        this.packageNo = packageNo;
        this.packageNo2 = packageNo2;
        this.serialNumber = serialNumber;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.isSealed = isSealed;
        this.createDatetime = createDatetime;
        this.workCenterCode = workCenterCode;
        this.workCenterName = workCenterName;
    }
}
