package cn.estsh.i3plus.pojo.mes.model.mgn.bj;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/10/28 11:27 AM
 * @Modify:
 */
@Data
public class MgnBjBoardModel implements Serializable {

    private Integer qty;
    @ApiParam("jsa数量")
    private Integer jsaQty;
    @ApiParam("jsa数量")
    private Integer jsaRate;
    @ApiParam("完成数量")
    private Integer completeQty;
    @ApiParam("完成率")
    private Integer completeRate;
    @ApiParam("总数量")
    private Integer totalQty;
    @ApiParam("预警数量")
    private Integer warnQty;
    @ApiParam("预警率")
    private Integer warnRate;
    @ApiParam("目标数量")
    private Integer targetQty;
    @ApiParam("计划　数量")
    private Integer planQty;
    @ApiParam("目标合格率")
    private Integer targetRate = 0;
    @ApiParam("一次合格率")
    private Integer onceQualityRate = 0;
    @ApiParam("待生产订单数量")
    private Integer waitProduceQty = 0;
    @ApiParam("低于安全库存")
    private Integer minStockQty;
    @ApiParam("超出最大库存")
    private Integer maxStockQty;

    @ApiParam(value = "显示颜色")
    private String color;

    @ApiParam("x坐标内容")
    private String xAxis;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("班次人数")
    private Integer shiftNum;

    @ApiParam("产品位置代码")
    private String produceCategoryCode;

    @ApiParam("产品位置名称")
    private String produceCtgyName;

    @ApiParam("时段")
    private String timeInterval;

    @ApiParam("x坐标内容")
    private List<String> xAxisList;

    private Map<String, Object> resultMap;

    @ApiParam("显示数据")
    private List<MgnBjBoardSeriesModel> seriesModels;
}
